Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
psych_to_ruby.c File Reference
`#include <psych.h>`
Include dependency graph for psych_to_ruby.c:

Go to the source code of this file.

## Functions
static VALUE | build_exception (VALUE self, VALUE klass, VALUE mesg)
static VALUE | path2class (VALUE self, VALUE path)
void | Init_psych_to_ruby (void)

## Variables
VALUE | cPsychVisitorsToRuby

## Function Documentation

static VALUE build_exception | ( | VALUE | self,
|  | VALUE | klass,
|  | VALUE | mesg
| ) |  |
| static

Definition at line 9 of file psych_to_ruby.c.

References e, rb_iv_set(), and rb_obj_alloc().

Referenced by Init_psych_to_ruby().

void Init_psych_to_ruby | ( | void |  | ) |

Definition at line 31 of file psych_to_ruby.c.

References build_exception(), cPsychVisitorsToRuby, path2class(), rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_module_under(), and rb_define_private_method().

Referenced by Init_psych().

static VALUE path2class | ( | VALUE | self,
|  | VALUE | path
| ) |  |
| static

Definition at line 22 of file psych_to_ruby.c.

References rb_path2class(), rb_path_to_class(), and StringValuePtr.

Referenced by Init_psych_to_ruby().

## Variable Documentation

VALUE cPsychVisitorsToRuby

Definition at line 3 of file psych_to_ruby.c.

Referenced by Init_psych_to_ruby().